/* AMX Mod X
*   Knife Attack Blocker
*
* (c) Copyright 2007 by VEN
*
* This file is provided as is (no warranties)
*/

// plugin's main information
#define PLUGIN_NAME "Knife Attack Blocker"
#define PLUGIN_VERSION "0.1"
#define PLUGIN_AUTHOR "VEN"

#include <amxmodx>
#include <fakemeta>

public plugin_init() {
	register_plugin(PLUGIN_NAME, PLUGIN_VERSION, PLUGIN_AUTHOR)
	register_forward(FM_CmdStart, "fwCmdStart")
	register_forward(FM_UpdateClientData, "fwUpdateClientData", 1)
}

public fwCmdStart(id, uc) {
	static buttons, dummy
	if ((buttons = get_uc(uc, UC_Buttons)) & (IN_ATTACK | IN_ATTACK2) && get_user_weapon(id, dummy, dummy) == CSW_KNIFE) {
		set_uc(uc, UC_Buttons, buttons & ~(IN_ATTACK | IN_ATTACK2))
		return FMRES_HANDLED
	}

	return FMRES_IGNORED
}

public fwUpdateClientData(ent, sendweapons, cd) {
	if (get_cd(cd, CD_ID) == CSW_KNIFE) {
		set_cd(cd, CD_flNextAttack, 1.0)
		return FMRES_HANDLED
	}

	return FMRES_IGNORED
}
